0

I've installed 'software-properties-common', 'python-software-properties', but still I couldn't install the 'elementary-tweaks' in Loki.

Now remember what I've installed and then when I run

sudo add-apt-repository ppa:philip.scott/elementary-tweaks

I get,

Traceback (most recent call last):
  File "/usr/bin/lsb_release", line 98, in <module>
    main()
  File "/usr/bin/lsb_release", line 62, in main
    distinfo = lsb_release.get_distro_information(options.upstream)
  File "/usr/lib/python3/dist-packages/lsb_release.py", line 344, in get_distro_information
    distinfo = guess_debian_release()
  File "/usr/lib/python3/dist-packages/lsb_release.py", line 239, in guess_debian_release
    get_distro_info(distinfo['ID'])
  File "/usr/lib/python3/dist-packages/lsb_release.py", line 41, in get_distro_info
    RELEASES_ORDER.sort(key=lambda n: float(n[0]))
  File "/usr/lib/python3/dist-packages/lsb_release.py", line 41, in <lambda>
    RELEASES_ORDER.sort(key=lambda n: float(n[0]))
ValueError: could not convert string to float: '12.04 LTS'
Traceback (most recent call last):
  File "/usr/bin/lsb_release", line 98, in <module>
    main()
  File "/usr/bin/lsb_release", line 62, in main
    distinfo = lsb_release.get_distro_information(options.upstream)
  File "/usr/lib/python3/dist-packages/lsb_release.py", line 344, in get_distro_information
    distinfo = guess_debian_release()
  File "/usr/lib/python3/dist-packages/lsb_release.py", line 239, in guess_debian_release
    get_distro_info(distinfo['ID'])
  File "/usr/lib/python3/dist-packages/lsb_release.py", line 41, in get_distro_info
    RELEASES_ORDER.sort(key=lambda n: float(n[0]))
  File "/usr/lib/python3/dist-packages/lsb_release.py", line 41, in <lambda>
    RELEASES_ORDER.sort(key=lambda n: float(n[0]))
ValueError: could not convert string to float: '8.04 LTS'
Traceback (most recent call last):
  File "/usr/bin/lsb_release", line 98, in <module>
    main()
  File "/usr/bin/lsb_release", line 62, in main
    distinfo = lsb_release.get_distro_information(options.upstream)
  File "/usr/lib/python3/dist-packages/lsb_release.py", line 344, in get_distro_information
    distinfo = guess_debian_release()
  File "/usr/lib/python3/dist-packages/lsb_release.py", line 239, in guess_debian_release
    get_distro_info(distinfo['ID'])
  File "/usr/lib/python3/dist-packages/lsb_release.py", line 41, in get_distro_info
    RELEASES_ORDER.sort(key=lambda n: float(n[0]))
  File "/usr/lib/python3/dist-packages/lsb_release.py", line 41, in <lambda>
    RELEASES_ORDER.sort(key=lambda n: float(n[0]))
ValueError: could not convert string to float: '8.04 LTS'
 system settings panel for elementary OS Loki that lets you easily and safely customise your desktop's appearance  https://github.com/elementary-tweaks/elementary-tweaks
 More info: https://launchpad.net/~philip.scott/+archive/ubuntu/elementary-tweaks
Press [ENTER] to continue or ctrl-c to cancel adding it

I guess, that's not what is expected.

Please Help!

Thanks

  • Buddy, This isn't a duplicate question. I've mentioned the errors that I got while following the procedure mentioned in the question 'How can I install elementary tweaks on Loki?' Please for god's sake! – Rohit Lad Nov 5 '16 at 1:43
0

https://quassy.github.io/elementary-apps/elementary%20Tweaks/

In this website you can find the link to Launchpad, GitHub. You can download the code and install it. or straight run this

curl -sL  http://i-hate-farms.github.io/spores/install | sudo bash - 
sudo apt-get install elementary-tweaks

Hope it can help you.

  • 1
    This screwed up my system. Now I cannot see my wingpanel anymore. Ah! Nevermind, I shifted to Mint. Thanks anyways – Rohit Lad Nov 5 '16 at 11:30
0

You shouldn't need 'python-software-properties' to install 'elementary-tweaks'. I guess, the Python version is breaking up something. Try removing 'python-software-properties' with

sudo apt-get remove 'python-software-properties'

and then add the PPA, if it's not been already added:

sudo add-apt-repository ppa:philip.scott/elementary-tweaks

sudo apt-get update

sudo apt-get install elementary-tweaks
  • This doesn't help man! :( – Rohit Lad Nov 5 '16 at 11:28

Not the answer you're looking for? Browse other questions tagged or ask your own question.